dma_pool_free
Prev | Device Drivers Base | Next

## Name

dma_pool_free — put block back into dma pool

## Synopsis

`void dma_pool_free (` | struct dma_pool * | pool,
| void * | vaddr,
| dma_addr_t | dma`)`;

## Arguments

`pool`

  the dma pool holding the block

`vaddr`

  virtual address of block

`dma`

  dma address of block

## Description

Caller promises neither device nor driver will again touch this block unless it is first re-allocated.

Prev | Up | Next
dma_pool_alloc | Home | dmam_pool_create